Jira Service Desk Server and Jira Service Desk Data Center - URL path- traversal allows information disclosure - CVE-2019-14994

From: Brian Adeloye <badeloye@atlassian.com>
To: bugtraq@securityfocus.com
Cc:
Subject: Jira Service Desk Server and Jira Service Desk Data Center - URL path- traversal allows information disclosure - CVE-2019-14994
Date:


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

This email refers to the advisory found at
https://confluence.atlassian.com/jira/jira-service-desk-security-advisory-2019-09-18-976171274.html


CVE ID:

* CVE-2019-14994.


Product: Jira Service Desk Server and Data Center.

Affected Jira Service Desk Server and Data Center product versions:

version < 3.9.16
3.10.0 <= version < 3.16.8
4.0.0 <= version < 4.1.3
4.2.0 <= version < 4.2.5
4.3.0 <= version < 4.3.4
4.4.0 <= version < 4.4.1


Fixed Jira Service Desk Server and Data Center product versions:

* for 3.9.x and earlier, Jira Service Desk Server and Data Center
3.9.16 has been released
with a fix for this issue.
* for 3.16.x, Jira Service Desk Server and Data Center 3.16.8 has been released
with a fix for this issue.
* for 4.1.x, Jira Service Desk Server and Data Center 4.1.3 has been released
with a fix for this issue.
* for 4.2.x, Jira Service Desk Server and Data Center 4.2.5 has been released
with a fix for this issue.
* for 4.3.x, Jira Service Desk Server and Data Center 4.3.4 has been released
with a fix for this issue.
* for 4.4.x, Jira Service Desk Server and Data Center 4.4.1 has been released
with a fix for this issue.


Summary:
This advisory discloses a critical severity security vulnerability. Versions of
Jira Service Desk Server and Data Center are affected by this vulnerability.

Customers who have upgraded Jira Service Desk Server and Data Center to version
3.9.16, 3.16.8, 4.1.3, 4.2.5, 4.3.4, or 4.4.1 are not affected.

Customers who have downloaded and installed affected versions of Jira Service
Desk Server and Data, please upgrade your Jira Service Desk Server
and Data Center installations immediately to fix this vulnerability.


URL path traversal allows information disclosure - CVE-2019-14994

Severity:
Atlassian rates the severity level of this vulnerability as critical, according
to the scale published in our Atlassian severity levels. The scale allows us to
rank the severity as critical, high, moderate or low.
This is our assessment and you should evaluate its applicability to your own IT
environment.


Description:

By design, Jira Service Desk gives customer portal users permissions only to
raise requests and view issues. This allows users to interact with the customer
portal without having direct access to Jira. These restrictions can be bypassed
by a remote attacker with portal access who exploits a path traversal
vulnerability. Exploitation allows an attacker to view all issues
within all Jira
projects contained in the vulnerable instance. This could include Jira Service
Desk projects, Jira Core projects, and Jira Software projects.

Note that attackers can grant themselves access to Jira Service Desk
portals that
have the 'Anyone can email the service desk or raise a request in the portal'
setting enabled. Changing this setting does not defend against an attacker that
has portal access via other means. Atlassian does not recommend changing the
setting. Instead, upgrade to a non-vulnerable version listed below.

Versions of Jira Service Desk Server and Data Center before 3.9.16 (the fixed
version for 3.9.x), from version 3.10.0 before 3.16.8 (the fixed version for
3.16.x), from version 4.0.0 before 4.1.3 (the fixed version for 4.1.x), from
version 4.2.0 before 4.2.5 (the fixed version for 4.2.x), from version 4.3.0
before 4.3.4 (the fixed version for 4.3.x), and from version 4.4.0 before 4.4.1
(the fixed version for 4.4.x) are affected by this vulnerability. This issue can
be tracked at: https://jira.atlassian.com/browse/JSDSERVER-6517.



Fix:

To address this issue, we've released the following versions containing a fix:

* Jira Service Desk Server and Data Center version 3.9.16
* Jira Service Desk Server and Data Center version 3.16.8
* Jira Service Desk Server and Data Center version 4.1.3
* Jira Service Desk Server and Data Center version 4.2.5
* Jira Service Desk Server and Data Center version 4.3.4
* Jira Service Desk Server and Data Center version 4.4.1

Remediation:

Upgrade Jira Service Desk Server and Data Center to version 4.4.1 or higher.

The vulnerabilities and fix versions are described above. If affected, you
should upgrade to the latest version immediately.

If you are running Jira Service Desk Server and Data Center 3.9.x and cannot
upgrade to 4.4.1, upgrade to version 3.9.16.
If you are running Jira Service Desk Server and Data Center 3.16.x and cannot
upgrade to 4.4.1, upgrade to version 3.16.8.
If you are running Jira Service Desk Server and Data Center 4.1.x and cannot
upgrade to 4.4.1, upgrade to version 4.1.3.
If you are running Jira Service Desk Server and Data Center 4.2.x and cannot
upgrade to 4.4.1, upgrade to version 4.2.5.
If you are running Jira Service Desk Server and Data Center 4.3.x and cannot
upgrade to 4.4.1, upgrade to version 4.3.4.


For a full description of the latest version of Jira Service Desk Server and
Data Center, see the release notes found at
https://confluence.atlassian.com/servicedesk/jira-service-desk-release-notes-780083086.html.
You can download the latest version of Jira Service Desk Server and Data Center
from the download centre found at
https://www.atlassian.com/software/jira/service-desk/download.



Support:
If you have questions or concerns regarding this advisory, please raise a
support request at https://support.atlassian.com/.


-----BEGIN PGP SIGNATURE-----

iQJLBAEBCAA1FiEEXh3qw5vbMx/VSutRJCCXorxSdqAFAl2FBYoXHHNlY3VyaXR5
QGF0bGFzc2lhbi5jb20ACgkQJCCXorxSdqBMGw/8CxbSxu7zoB/0Z8AQ0MFZJyf/
0roBecinHPV8jV7/+LLUrU0fLvDvaw1hGnVPbNzWPrD8cMrOgI4VxIigTdFBwmwH
morZNBRk6d4h+xbuYjYvlATw97ClAfDsqUEwNSIxHn7Nwbt2rFn/a8+E9asG1oEY
WSnra6ibpwlNL5JMyggOT2Qu9/fC9BsZoFcRk1+z7fuMtd3Dh7ByCCu9eeIqLao2
sMAb0vE8PGmjXb6Uvy/2Vsp2+BtB4BS28/scxnssa/sKslI1XchWgZNk/2pYW9V9
1AIoSOapm2cP+4XmIq7ViWvAAPE6ViCdTfDTzQWw+UcNOa789zQXm7oagro3Fack
9iuDCISw48MjT/ZG1Fq1YrLutkcc3ekiLdjTB0hprQ51kfyRnyYwEUXWj1NRI+Wd
FEqQbDskLqFB1chroz0fiVpAmSN4VwNTo4QXnbSfiFcfROydwziGOPbHjlmAFxFh
1U6yjAoM3cZhCjnXvTDbiuPOTTry/VPYDOZ/I6gN2B5L7+sDGH0BGQaLKgnOHNcz
oizi0PxHTu7C4yT/e3G0lJDcWu5isGIE98Jd3fW7rC0wMrsCDLog9WscLam4fhYi
SADWs4t6IXGM/kEwGpjejIJMbeSVg3kEuGzr4fOxxkgkYMnrku3Cfi1orgfBiTFZ
tU9ucg9A6BDluQUVaCc=
=jYqK
-----END PGP SIGNATURE-----





Copyright © 1995-2019 LinuxRocket.net. All rights reserved.